import { AbstractRepository } from '@crosslab/service-common';
import { AppDataSource } from '../dataSource.js';
import { DeviceModel } from '../model.js';
export class DeviceRepository extends AbstractRepository {
    dependencies = {};
    constructor() {
        super('Device');
    }
    dependenciesMet() {
        if (!this.dependencies.instance)
            return false;
        return true;
    }
    initialize(entityManager) {
        this.repository = entityManager.getRepository(DeviceModel);
    }
    async write(model, data) {
        if (data.device)
            model.url = data.device;
        if (data.role)
            model.role = data.role;
    }
    async format(model) {
        return {
            device: model.url,
            role: model.role,
        };
    }
    async remove(model) {
        if (model.instance)
            await AppDataSource.transaction(async (repositories) => {
                const instance = model.instance;
                delete model.instance;
                await repositories.device.remove(model);
                if (instance)
                    await repositories.instance.remove(instance);
            });
        else
            await super.remove(model);
    }
    getDefaultFindOptionsRelations() {
        return {
            instance: true,
        };
    }
}
//# sourceMappingURL=device.js.map